Does Ignite Gallery Work with PHP7

Version 3.7 and above of the gallery work fully with php7.

Versions 3.6.8 and below work with php7, but if php error reporting is set to output notices about depreciated methods, then there will be some error messages at the top of the page. These error messages do not have any consequence and can be hidden.

To fix this, please upgrade to version 3.7, or adjust php error reporting so notices about depreciated methods are not output, it is not nescessary to be notified of these. To lower php error reporting, please go to Joomla’s gloabl config, then server tab, and set the error reporting to simple. This will still output any important error messages.

If you manage the server yourself and would rather change the error reporting in php.ini, please this page for methods on how to do this.